2016-10-17: bwUniCluster Maintenance

From bwHPC Wiki
Jump to: navigation, search

The bwUniCluster system was unavailable between October 17, 2016 and October 21, 2016 for maintenance which had been completed as planned.

We strongly recommend to recompile your source code after the maintenance due to operating system as well as software and libraries upgrade. This does also apply to binaries that may have been built as add-ons for existing software modules, e.g. private packages for R and Octave, Matlab MEX files, etc.

All pending jobs had been canceled due to possibly obsolete dependencies.


Contents

1 Operational System Upgrade

Upgrade from Red Hat Enterprise Linux Server release 6.8 (Santiago) to Red Hat Enterprise Linux Server release 7.2 (Maipo)


2 REPLACED SSH Host Key

The original SSH host key of bwUniCluster has been generated under Redhat 6 with DSA. Redhat 7 and latest SSH clients recommend improved key generation algorithm such as ECDSA and ED25519. Indeed, Redhat 7 has opted out DSA key generation. Following the recommendations the original SSH host key of bwUniCluster has been replaced with a new one based on ECDSA.

2.1 HowTo: Putty users

If you have used the putty client before the maintenance the original SSH host key has been cached. Putty will pop up the following message to you (cf. screen shot below):

BwUniCluster howto replace ssh host key putty 2016-10-21.png

By accepting it (button Yes) putty will stored the new SSH host key.

2.2 HowTo: Linux and macOS users

Remove the SSH host key of the bwUniCluster host name (bwunicluster.scc.kit.edu or uc1.scc.kit.edu):

for hostname in uc1.scc.kit.edu bwunicluster.scc.kit.edu uc1-login1.scc.kit.edu uc1-login2.scc.kit.edu; do ssh-keygen -f "${HOME}/.ssh/known_hosts" -R $hostname ; done

Afterwards and during login accept the new host key:

ECDSA key fingerprint is e0:3b:1e:36:80:44:c5:48:e9:b3:eb:65:34:ba:72:5c.
Are you sure you want to continue connecting (yes/no)?
yes

3 Updated and new software modules

  • bio/qiime/1.9.1
  • chem/amber/12 with Intel 14 only (Amber 14 available on bwFor-Cluster Justus)
  • chem/dalton/2016
  • chem/gromacs/5.1.4
  • devel/python/2.7.12
  • devel/python/3.5.2
  • math/R/3.3.1
  • math/rstudio/0.99
  • math/sagemath/7.3
  • numlib/fftw/3.3.5-impi-5.1.3-gnu-4.8
  • numlib/fftw/3.3.5-impi-5.1.3-intel-16.0
  • numlib/gsl/2.2.1-gnu-4.8
  • numlib/gsl/2.2.1-intel-16.0
  • numlib/python_numpy/1.11.2-python-2.7.12
  • phys/alps/2.1.1-python_numpy-1.11.2-hdf5-1.8-intel-16.0
  • vis/tigervnc/1.3.1 (see migration note below)

3.1 How to migrate remote desktop from GNOME to XFCE or KDE with vis/tigervnc/1.3.1

GNOME 3, the version that ships with RHEL 7, now requires hardware-accelerated OpenGL. This means that GNOME 3 desktop environment won't work in a plain VNC session any more. In order to migrate to KDE oder XFCE environment, users will have to create a file ~/.Xclients with the following contents the new run_vncserver wrapper will automatically create a file ~/.Xclients with the following contents:

unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
unset XDG_RUNTIME_DIR
# Uncomment next line for XFCE4  
exec startxfce4
# Uncomment next line for KDE
# exec startkde

Depending on which line is uncommented in ~/.Xclients, this will cause the TigerVNC server to invoke XFCE or KDE as remote desktop environment (see screenshot below).


(thumbnail)
VNC session running XFCE4 desktop environment remotely on top of local GNOME desktop.


Note: If you happen to see an error message "Error when getting information for file ‘~/.gvfs’: Transport endpoint is not connected" with the XFCE Thunar file manager accessing the home directory, open a terminal window and run the following command:

fusermount -u ~/.gvfs 

Alternatively, you can make Nautilus the default XFCE file manager in Settings > Preferred Applications > Utilities > File Manager.

4 CHANGED Software Defaults

Software modules for which a newer version has been set as the default.

  • chem/turbomole/7.0 -> chem/turbomole/7.1
  • chem/tmolex/4.1 -> chem/tmolex/4.2
  • devel/python/2.7.10 -> devel/python/2.7.12 (actually not the default but newest 2.7 release)
  • devel/python/3.5.0 -> devel/python/3.5.2
  • math/R/3.1.2 -> math/R/3.3.1
  • numlib/fftw/3.3.3-impi-4.1.1-intel-13.1 -> numlib/fftw/3.3.5-impi-5.1.3-intel-16.0
  • numlib/gsl/1.16-intel-13.1 -> numlib/gsl/2.2.1-intel-16.0
  • compiler/intel/15.0 -> compiler/intel/16.0
  • numlib/mkl/11.2.3 -> numlib/mkl/11.3.4
  • mpi/impi/5.0.3-intel-15.0 -> mpi/impi/5.1.3-intel-16.0
  • devel/itac/9.0.3 -> devel/itac/9.1.2
  • vis/tigervnc/1.1.0 -> vis/tigervnc/1.3.1

5 RECOMPILED Software Modules

Software modules which have been recompiled with different compiler or libraries

  • phys/qutip/3.1.0
  • chem/xcrysden/1.5.60

6 REMOVED Software Modules

6.1 Intel compiler and related software

Very old Intel compiler and related modules (which was available to all bwUniCluster users (/opt/bwhpc/common/modulefiles):

  • compiler/intel/12.1
  • compiler/intel/13.1
  • numlib/mkl/10.3.12
  • numlib/mkl/11.0.5
  • mpi/impi/4.1.0-gnu-4.4
  • mpi/impi/4.1.0-gnu-4.5
  • mpi/impi/4.1.0-intel-12.1
  • mpi/impi/4.1.1-gnu-4.4
  • mpi/impi/4.1.1-gnu-4.7
  • mpi/impi/4.1.1-intel-13.1
  • devel/itac/8.1.1
  • devel/itac/8.1.2
  • mpi/openmpi/1.6.5-intel-12.1
  • mpi/openmpi/1.6.5-intel-13.1
  • mpi/openmpi/1.8-intel-12.1
  • mpi/openmpi/1.8-intel-13.1
  • mpi/openmpi/1.10-intel-12.1
  • mpi/openmpi/1.10-intel-13.1

Note that all dependent modules and binaries will stop working thereafter. So rebuild your modules and/or binaries with newer versions of the Intel compiler.

6.2 Common software

Software that was available to all bwUniCluster users (/opt/bwhpc/common/modulefiles):

  • bio/qiime/1.8.0
  • chem/dalton/2013
  • chem/gromacs/4.5.3_gridcount-1.4
  • chem/gromacs/4.6.2
  • chem/gromacs/5.0
  • chem/gromacs/5.0.2
  • chem/turbomole/6.5
  • chem/turbomole/6.6
  • chem/tmolex/4.0
  • chem/molden/5.2.1
  • devel/cmake/2.8.11 (now system default version)
  • lib/hdf5/1.8.13-gnu-4.4
  • lib/hdf5/1.8.13-openmpi-1.8-gnu-4.4
  • lib/matplotlib/1.3.1
  • math/R/3.0.2
  • numlib/fftw/3.3.3-impi-4.1.1-gnu-4.4
  • numlib/fftw/3.3.3-impi-4.1.1-intel-13.1
  • numlib/gsl/1.16-gnu-4.4
  • numlib/gsl/1.16-intel-13.1
  • phys/alps/2.1.1-python_numpy-1.10.1-hdf-1.8.14-impi-4.1.3
  • phys/qutip/2.2.0
  • vis/tigervnc/1.1.0
  • vis/tigervnc/1.3.0

6.3 Freiburg software

Software that was ONLY available to users from Freiburg (/opt/bwhpc/fr/modulefiles):

  • chem/lammps/5Sep2014_linux
  • chem/lammps/5Sep2014_mkl
  • cns/nest/2.2.2-python-2.7.6_cns
  • cns/nest/2.8.0-python-2.7.6_cns
  • devel/cmake/3.0.1
  • devel/python/2.7.6_cns

|